Bug 1666222 - SELinux is preventing (imesyncd) from using the 'nnp_transition' accesses on a process.
Summary: SELinux is preventing (imesyncd) from using the 'nnp_transition' accesses on ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:14e4f68bd83bc71b3be0188c2bb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-15 09:11 UTC by robin.moalic
Modified: 2019-01-18 02:14 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.2-47.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-18 02:14:08 UTC


Attachments (Terms of Use)

Description robin.moalic 2019-01-15 09:11:54 UTC
Description of problem:
systemctl start systemd-timesyncd.service
SELinux is preventing (imesyncd) from using the 'nnp_transition' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

Si vous pensez que (imesyncd) devrait être autorisé à accéder nnp_transition sur les processus étiquetés systemd_timedated_t par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# ausearch -c "(imesyncd)" --raw | audit2allow -M my-imesyncd
# semodule -X 300 -i my-imesyncd.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:system_r:systemd_timedated_t:s0
Target Objects                Unknown [ process2 ]
Source                        (imesyncd)
Source Path                   (imesyncd)
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-44.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.19.13-300.fc29.x86_64 #1 SMP Sat
                              Dec 29 22:54:28 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2019-01-15 10:58:05 CET
Last Seen                     2019-01-15 10:58:05 CET
Local ID                      3c97bfb8-278d-412c-85d4-bfb95a30affb

Raw Audit Messages
type=AVC msg=audit(1547546285.295:9831): avc:  denied  { nnp_transition } for  pid=20031 comm="(imesyncd)" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:systemd_timedated_t:s0 tclass=process2 permissive=0


Hash: (imesyncd),init_t,systemd_timedated_t,process2,nnp_transition

Version-Release number of selected component:
selinux-policy-3.14.2-44.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.7
hashmarkername: setroubleshoot
kernel:         4.19.13-300.fc29.x86_64
type:           libreport

Comment 1 Zdenek Pytela 2019-01-15 16:37:33 UTC
Opened a pull request with granting the permission:

https://github.com/fedora-selinux/selinux-policy/pull/241

Comment 2 Zdenek Pytela 2019-01-16 12:46:33 UTC
The pull request has been merged to the main branch and should be a part of the next selinux-policy packages update.

Comment 3 Fedora Update System 2019-01-16 16:16:52 UTC
selinux-policy-3.14.2-47.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fe7af4a346

Comment 4 Fedora Update System 2019-01-17 02:11:26 UTC
selinux-policy-3.14.2-47.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fe7af4a346

Comment 5 Fedora Update System 2019-01-18 02:14:08 UTC
selinux-policy-3.14.2-47.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.